# QtEmu &ndash; Qt-based front-end for QEMU emulator

Stable version: 2.1 <br />
Development version: 2.2 <br />

Website: https://qtemu.org/ <br />
Source: https://gitlab.com/qtemu/gui

## License

This program is licensed under the GNU General Public License version 2.
See the [LICENSE](https://gitlab.com/Qtemu/gui/blob/master/LICENSE.md) file for more information

## Description

QtEmu is a graphical user interface for QEMU written in Qt. <br />
It has the ability to run virtual operating systems on native systems. <br />
This way you can easily test a new operating system or try a Live CD on your system without any troubles and dangers.

## Versions history

See [CHANGELOG](https://gitlab.com/Qtemu/gui/blob/master/CHANGELOG.md) file.

## Installation

See [INSTALL](https://gitlab.com//Qtemu/gui/blob/master/INSTALL.md) file.

## Downloads

Prebuild binaries and installers

- Windows

* [QtEmu installer for Windows x86_64](https://web.archive.org/web/20210417194244/https://carlavilla.es/qtemu/qtemu_setup_x86_64.exe)
* [QtEmu portable for Windows x86_64](https://web.archive.org/web/20210417194244/https://carlavilla.es/qtemu/qtemu_portable_x86_64.zip)

## Development

Urs Wolfer started QtEmu as school project. Ben Klopfenstein began adding some features that he wanted.
And in 2009 the project stoped its development.

In 2017 Sergio Carlavilla started from scrach the development of the 2.0 version. The new UI has based on
VirtualBox OSE and Virt-manager.

## Languages

QtEmu version 1.0.5 is available in English, Czech, German, Russian, Spanish, Turkish, French, Italian,
Brazilian Portuguese and Polish.

QtEmu version 2.x is only available in English.

If you want to translate to another language be free to do it :D

## Developers

* 2017-now, [Sergio Carlavilla](https://www.carlavilla.es) <sergio.carlavilla91@gmail.com>
* 2006-2009, Ben Klopfenstein <benklop gmail com>
* 2006-2009, Urs Wolfer <uwolfer fwo ch> 

## Contributing

If you want to contribute to the project, please see [CONTRIBUTING](https://gitlab.com/Qtemu/gui/blob/master/CONTRIBUTING.md) file.

## Extra links

* [QEMU Web Page](https://www.qemu.org/)
* [QEMU Wiki](https://wiki.qemu.org/Main_Page)
* [Qt Docs](http://doc.qt.io/qt-5/index.html)
* [Qt Linguist](https://doc.qt.io/qt-5/qtlinguist-index.html)
